Bug 606217 - Eccentric glyph for the lowercase Greek gamma letter (γ)
Eccentric glyph for the lowercase Greek gamma letter (γ)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
22
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 02:50 EDT by pav
Modified: 2016-07-19 16:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pav 2010-06-21 02:50:28 EDT
Description of problem:

The liberation fonts have a strange glyph for the lowercase Greek gamma letter whenever hinting is on. The hinting makes the glyph look similar to the 'y' letter (the  bottom part tends towards left).

This looks weird and is unique on this font family, AFAIK.
Comment 1 James Cloos 2010-06-27 14:04:35 EDT
This one got me curious.

It looks like only the sans and mono faces have that lean; the descender remains vertical in Serif-Regular and Serif-Bold and has the same slope in Italic and BoldItalic as those fonts’ italic angle, AFAICT at screen resolution.

Looking at the »γ« glyph in the Regular faces in fontforge shows that the slant is intentional to the design; the descender is an extension on the right stroke.

I took a look at several fonts and that does seem to be an unique design decision.  Most other fonts tend to either extend to left stroke or make the descender an overlapping extension of both strokes.

An interesting issue, indeed!
Comment 2 Fedora Admin XMLRPC Client 2010-07-14 20:22:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Pravin Satpute 2010-07-15 02:45:20 EDT
(In reply to comment #0)
> Description of problem:
> 
> The liberation fonts have a strange glyph for the lowercase Greek gamma letter
> whenever hinting is on. The hinting makes the glyph look similar to the 'y'
> letter (the  bottom part tends towards left).

can you update bug with the lowercase Greek gamma characters Unicode points?
Comment 4 pav 2010-07-16 02:32:33 EDT
(In reply to comment #3)
> 
> can you update bug with the lowercase Greek gamma characters Unicode points?    

Not sure this is what you want, the character in question is U+03B3.

From http://unicode.org/charts/PDF/U0370.pdf :
-------------------------------------
03B3 γ GREEK SMALL LETTER GAMMA
→ 0263 ɣ  latin small letter gamma   (latin version?)
→ 213D γ  double-struck small gamma  (unknown to me - symbol?)
-------------------------------------
Comment 5 Bug Zapper 2010-07-30 08:11:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Akira TAGOH 2011-11-22 06:04:04 EST
Any updates on this?
Comment 7 Akira TAGOH 2011-12-05 06:14:25 EST
Pravin, ping?
Comment 8 Pravin Satpute 2011-12-07 06:03:36 EST
moving to f16, will loot at this soon
Comment 9 Pravin Satpute 2012-10-09 05:59:26 EDT
 Can you please check, is this issue still happening with Liberation 2.00.1?
Comment 10 pav 2012-10-15 21:33:00 EDT
Yes, nothing's changed.
Comment 11 Fedora End Of Life 2013-12-21 09:53:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 pav 2015-05-14 05:29:32 EDT
Hi. Is this likely to be fixed or not so much?
Comment 13 Pravin Satpute 2015-05-15 01:52:09 EDT
Not very soonish. There is plan to work on Liberation fonts hinting stuff. Meanwhile if you have any patch, i can definitely help in reviewing and committing in upstream.
Comment 14 Fedora End Of Life 2015-05-29 04:37:18 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 20:33:21 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Fedora End Of Life 2016-07-19 16:49:51 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.